Invoice Receivables
List invoice payments
Returns a list of payments for an invoice receivable
GET
/
v1
/
invoice-receivables
/
{invoiceReceivableId}
/
payments
List invoice payments
curl --request GET \
--url https://api.light.inc/v1/invoice-receivables/{invoiceReceivableId}/payments \
--header 'Authorization: <api-key>'import requests
url = "https://api.light.inc/v1/invoice-receivables/{invoiceReceivableId}/payments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.light.inc/v1/invoice-receivables/{invoiceReceivableId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceReceivableId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"paymentDate": "2023-12-25",
"currency": "USD",
"payment": {
"bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endToEndId": "<string>",
"originalAmount": 123,
"originalCurrency": "USD",
"accountingDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "BP"
},
"createdAt": "2023-11-07T05:31:56Z"
}
]Authorizations
apiKeyAuthbearerAuth
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
Path Parameters
Response
default - application/json;charset=UTF-8
default response
Unique identifier for the payment
ID of the invoice receivable
Payment amount in smallest denomination
Date the payment was made
Example:
"USD"
Type of payment entry for an invoice receivable payment
- Bank payment
- Customer credit
Show child attributes
Show child attributes
Timestamp when the payment was created
⌘I
List invoice payments
